aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/load_url_from_bookmarks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/data/scripts/load_url_from_bookmarks.sh')
-rwxr-xr-xexamples/data/scripts/load_url_from_bookmarks.sh31
1 files changed, 17 insertions, 14 deletions
diff --git a/examples/data/scripts/load_url_from_bookmarks.sh b/examples/data/scripts/load_url_from_bookmarks.sh
index 1e9f9e7..9af83c3 100755
--- a/examples/data/scripts/load_url_from_bookmarks.sh
+++ b/examples/data/scripts/load_url_from_bookmarks.sh
@@ -1,20 +1,23 @@
-#!/bin/bash
+#!/bin/sh
#NOTE: it's the job of the script that inserts bookmarks to make sure there are no dupes.
-file=${XDG_DATA_HOME:-$HOME/.local/share}/uzbl/bookmarks
-[ -r "$file" ] || exit
-COLORS=" -nb #303030 -nf khaki -sb #CCFFAA -sf #303030"
-if dmenu --help 2>&1 | grep -q '\[-rs\] \[-ni\] \[-nl\] \[-xs\]'
-then
- DMENU="dmenu -i -xs -rs -l 10" # vertical patch
- # show tags as well
- goto=`$DMENU $COLORS < $file | awk '{print $1}'`
+DMENU_SCHEME="bookmarks"
+DMENU_OPTIONS="xmms vertical resize"
+
+. $UZBL_UTIL_DIR/dmenu.sh
+. $UZBL_UTIL_DIR/uzbl-args.sh
+. $UZBL_UTIL_DIR/uzbl-dir.sh
+
+[ -r "$UZBL_BOOKMARKS_FILE" ] || exit 1
+
+if [ -z "$DMENU_HAS_VERTICAL" ]; then
+ # because they are all after each other, just show the url, not their tags.
+ goto=$(awk '{print $1}' $UZBL_BOOKMARKS_FILE | $DMENU)
else
- DMENU="dmenu -i"
- # because they are all after each other, just show the url, not their tags.
- goto=`awk '{print $1}' $file | $DMENU $COLORS`
+ # show tags as well
+ goto=$($DMENU < $UZBL_BOOKMARKS_FILE | awk '{print $1}')
fi
-#[ -n "$goto" ] && echo "uri $goto" > $4
-[ -n "$goto" ] && echo "uri $goto" | socat - unix-connect:$5
+#[ -n "$goto" ] && echo "uri $goto" > $UZBL_FIFO
+[ -n "$goto" ] && echo "uri $goto" | socat - unix-connect:$UZBL_SOCKET